@import '../../../old-styles/index.scss';

%open-state {
  &.open {
    .header {
      .icon-chevron {
        transform: rotate(90deg);
      }
    }
  }
}

/**
 * Info component
 */
.info-component {
  @extend %open-state;
  user-select: none;

  .header {
    display: inline-flex;
    align-items: center;
    cursor: pointer;

    .icon {
      margin-right: 6px;
    }

    .text {
      font: Italic 16px/20px Lato;
      color: #405157;
    }

    .icon-chevron {
      font-size: 12px;
      margin-left: 8px;
      transition: transform 200ms ease-in-out;

      &:before {
        color: #0075a3;
      }
    }
  }

  .info-wrapper {
    font: 400 16px/20px Lato;
    position: relative;
    margin-top: 12px;
    margin-left: 22px;
    color: #405157;
    border-radius: 4px;
    background: #f1f2f2;

    .icon {
      font-size: 12px;
      position: absolute;
      top: 10px;
      right: 10px;
      cursor: pointer;
    }
  }
}
